{
  config,
  lib,
  pkgs,
  ...
}: {
  console.keyMap = "de";
  i18n = {
    defaultLocale = "en_US.UTF-8";
    supportedLocales = ["all"];
    inputMethod = {
      enable = (lib.elem "desktop" config.machine.services);
      type = "fcitx5";
      fcitx5 = {
        waylandFrontend = true;
        addons = with pkgs; [fcitx5-chinese-addons fcitx5-mozc fcitx5-table-extra];
      };
    };
  };
}
